import { BaseProvider } from '#templates/base/provider';
import { UserRoleDetail } from '#models/UserRoleDetail';

export class UserRoleDetailProvider extends BaseProvider<UserRoleDetail> {
	public static instance: UserRoleDetailProvider;

	public static getInstance(): UserRoleDetailProvider {
		UserRoleDetailProvider.instance ??= new UserRoleDetailProvider();
		return UserRoleDetailProvider.instance;
	}

	public static get model() {
		return UserRoleDetail;
	}

	constructor() {
		super('UserRoleDetail');
	}
}
